#
# spec file for package desktop-translations
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           desktop-translations
Version:        84.87.20170719.98170d3
Release:        1.1
Summary:        Desktop Files Translations
License:        MIT
Group:          System/GUI/Other
Url:            https://github.com/openSUSE/desktop-file-translations
Source0:        desktop-file-translations-%{version}.tar.xz
Supplements:    bundle-lang-other
Supplements:    gtk2
Supplements:    gtk3
Supplements:    kdelibs3
Supplements:    libkde4
Supplements:    plasma5-desktop
Supplements:    yast2-control-center
Provides:       locale(af;ar;bg;be;bn;bs;ca;cs;cy;da;de;el;en_GB;en_US;eo;es;et;fi;fr;gl;gu;he;hi;hr;hu;id;it;ja;ka;km;ko;lo;lt;mk;mr;nb;nl;pa;pl;pt;ro;ru;si;sk;sl;sr;sr@Latn;sv;ta;tr;uk;vi;wa;xh;zh_CN;zh_TW;zu)
BuildRequires:  gettext-runtime
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides the translations for installed desktop files.

%prep
%setup -q -c %{name}

%build
mv desktop-file-translations-%{version}/* .
./50-tools/build-entries-po.sh

%install
pushd po
for lang in *; do 
  if test "$lang" = "nb_no"; then
    continue
  fi
  if test -f $lang; then
	rm $lang
  else
    mkdir -p %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES
    for f in ${lang}/*.po; do 
       msgfmt -o %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/desktop_translations.mo $f
       msgunfmt --no-wrap %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/desktop_translations.mo | \
          grep -v '^"[A-Z][^ ]*: ' | grep '[^\][\]n"' && exit 1
    done
  fi
done
popd

for lang in *; do
    for i in appstreamdata mimeinfo polkitaction polkitactions-freedesktop; do
      [ -f "${lang}/${i}.po" ] && msgfmt -o "%{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/${i}.mo" "${lang}/${i}.po"
    done
done

%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Jul 19 2017 lnussel@suse.de
- Update to version 84.87.20170719.98170d3:
  * Regenerate PO/POT after "Desktop Action *" section change in tar2po
  * tar2po: Handle "Desktop Action *" sections like "Desktop Entry" (boo#1049021)
  * Translated using Weblate (Chinese (Taiwan))
  * Translated using Weblate (German)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Russian)
* Thu Jul 13 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170713.beab045:
  * Translated using a text editor + git
* Thu Jul 13 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170713.f60fae5:
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Chinese (Taiwan))
  * Translated using Weblate (German)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Chinese (Taiwan))
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Put YaST2.desktop back into update-desktop-files-apps
  * Update POT files after YaST change, sync PO files
* Fri Jul  7 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170705.7bdbb1d:
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (German)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Danish)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (German)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (German)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Chinese (China))
  * Translated using Weblate (Chinese (China))
  * Translated using Weblate (Chinese (China))
  * Translated using Weblate (Danish)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Relicense 51-xml contents as MIT
  * Translated using Weblate (Norwegian Nynorsk)
  * Translated using Weblate (German)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (German)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Indonesian)
* Mon Jun 19 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170618.be69114:
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Danish)
  * Translated using Weblate (German)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Russian)
  * Translated using Weblate (Spanish)
* Wed Jun 14 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170613.caa39e6:
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)
* Tue Jun 13 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170613.847c686:
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (French)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (French)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Kabyle)
  * Translated using Weblate (Kabyle)
  * Translated using Weblate (Kabyle)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Chinese (China))
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Revert swedish translation to SVN state
  * Regenerate translations from .desktop files
* Wed May 31 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170531.7e7f57d:
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Catalan)
  * Rename appstream.po to appstreamdata.po to avoid conflict
  * Rename appstream -> appstreamdata in tar2po
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (French)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Portuguese (Brazil))
* Tue May 30 2017 fvogt@suse.com
- Change License: to MIT
* Thu May 18 2017 fvogt@suse.com
- Also generate other mo files
* Thu May 18 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170518.2205c8c:
  * tar2po: Escape newline in gettext strings correctly
  * Merge POT files into PO files to not lose translations
  * Update translations with latest changes
* Thu May 18 2017 fvogt@suse.com
- Add gettext-runtime and xz BuildRequires
* Thu May 18 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170517.b889563:
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Catalan)
* Fri Feb  3 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170202.0c8d823:
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Catalan)
* Tue Jan 10 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170109.20ca54c:
  * new data from upstream
* Tue Jan 10 2017 sriedel@suse.de
- Update package for new GIT repo.
* Mon Nov  7 2016 ke@suse.de
- Update translations from SVN.
* Tue Oct 25 2016 ke@suse.de
- Remove Cyrillic strings from the Swedish (sv) translations.
- Update translations from SVN.
* Wed Oct 12 2016 ke@suse.de
- Update translations from SVN.
* Wed Oct  7 2015 coolo@suse.com
- update from SVN
* Sat Jul 11 2015 antoine.belvire@laposte.net
- Set version to 13.2.
- Update translations.
* Tue Oct 28 2014 ke@suse.de
- Update translations.
* Tue Oct 14 2014 ke@suse.de
- Update translations.
* Wed Oct  8 2014 ke@suse.de
- Update translations.
-  PREPARE_PACKAGE: Set the opensuse.org translation SVN.
-  PREPARE_PACKAGE: ALso filter "\\ ".
* Wed Oct 30 2013 ke@suse.de
- Update translations.
* Thu Oct 24 2013 ke@suse.de
- Update translations.
* Thu Oct 17 2013 ke@suse.de
- Update translations.
* Mon Oct  7 2013 ke@suse.de
- Update translations.
* Mon Sep 30 2013 ke@suse.de
- Update translations.
* Thu Sep 26 2013 ke@suse.de
- Update translations.
* Wed Sep 18 2013 ke@suse.de
- Update translations.
* Wed Sep 11 2013 ke@suse.de
- Set version to 13.1.
- Update translations.
* Thu Feb 14 2013 ke@suse.de
- Update translations.
* Mon Feb  4 2013 ke@suse.de
- Update translations.
* Thu Jan 31 2013 ke@suse.de
- Set version to 12.3.
- Update translations.
* Thu Jan 17 2013 ke@suse.de
- Update translations.
* Fri Aug 24 2012 ke@suse.de
- Update translations.
* Tue Aug 21 2012 ke@suse.de
- Update translations; bnc#774339 (partially).
* Fri Aug 17 2012 ke@suse.de
- Update translations.
* Mon Aug 13 2012 ke@suse.de
- Update translations.
* Fri Aug  3 2012 ke@suse.de
- Update translations.
* Fri Jul  6 2012 ke@suse.de
- Update translations.
* Fri Jun 22 2012 ke@suse.de
- Update translations.
* Fri Jun  8 2012 ke@suse.de
- PREPARE_PACKAGE: Filter artificial "\ " strings.
- Update translations.
* Fri Jun  1 2012 ke@suse.de
- PREPARE_PACKAGE: Filter wrong \n.
- Update translations.
* Wed May 23 2012 ke@suse.de
- Update translations.
- Add URL.
* Wed May 16 2012 ke@suse.de
- Update translations.
* Mon May  7 2012 ke@suse.de
- Update translations.
* Fri Apr 20 2012 ke@suse.de
- Set version to 12.2.
- Update translations.
- PREPARE_PACKAGE: do not allow msgattrib to break long lines (use
  - -width 1000).
* Fri Nov  4 2011 ke@suse.de
- Update translations.
* Fri Oct 28 2011 ke@suse.de
- Update translations.
* Wed Oct 26 2011 ke@suse.de
- Update translations.
* Wed Oct 19 2011 ke@suse.de
- Update translations.
* Thu Oct 13 2011 ke@suse.de
- Update translations.
* Fri Oct  7 2011 ke@suse.de
- Update translations.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Fri Sep 16 2011 ke@suse.de
- Update translations.
* Fri Aug 26 2011 ke@suse.de
- Update translations.
* Fri Aug  5 2011 ke@suse.de
- Update translations.
* Fri Jun 17 2011 ke@suse.de
- set version to 12.1.
- update translations.
* Fri May 27 2011 ke@suse.de
- update translations.
* Fri Feb 25 2011 ke@suse.de
- update translations.
* Thu Feb 17 2011 ke@suse.de
- update translations.
* Fri Feb 11 2011 ke@suse.de
- update translations.
* Fri Jan 28 2011 coolo@novell.com
- glib2 is too low level to supplement a "desktop"
* Mon Jan 10 2011 ke@suse.de
- update translations.
* Mon Jan  3 2011 dmueller@suse.de
- bump version to 11.4
* Fri Nov 19 2010 ke@suse.de
- update translations.
* Fri Oct 29 2010 ke@suse.de
- update translations.
* Fri Oct  8 2010 ke@suse.de
- update translations.
* Thu Sep 30 2010 ke@suse.de
- update translations.
* Mon Jul  5 2010 ke@suse.de
- update translations.
* Fri Jun 25 2010 ke@suse.de
- update translations.
* Fri Jun 11 2010 ke@suse.de
- update translations.
* Fri Jun  4 2010 ke@suse.de
- update translations.
* Fri May 28 2010 ke@suse.de
- update translations.
* Fri May 14 2010 ke@suse.de
- Update translations.
* Fri May  7 2010 ke@suse.de
- Update translations.
* Fri Apr 16 2010 ke@suse.de
- Update translations.
* Fri Mar 19 2010 ke@suse.de
- Update translations.
* Thu Jan 28 2010 ke@suse.de
- Reference Berlios SVN.
* Thu Jan 14 2010 ke@suse.de
- update translations for Factory (-> 11.3).
- now also "supplements:  bundle-lang-other"; bnc#555257.
* Thu Oct 29 2009 ke@suse.de
- update translations for 11.2 RC2.
* Wed Oct 21 2009 ke@suse.de
- update translations for 11.2 RC2.
- work around a whitespace issue where YCC is affected; bnc#538245.
* Fri Oct  9 2009 ke@suse.de
- update translations for 11.2. RC1.
* Mon Oct  5 2009 ke@suse.de
- update translations, post 11.2 M8.
- Fix bugs bnc#538875 and bnc#539920 (partially).
* Thu Sep 24 2009 ke@suse.de
- update translations for 11.2. M8.
* Thu Sep 17 2009 ke@suse.de
- update translations from suse-i18n--see bnc#538245..
* Mon Aug 17 2009 ke@suse.de
- update translations from suse-i18n.
* Mon Aug 10 2009 ke@suse.de
- update translations from suse-i18n.
* Tue Jun 16 2009 ke@suse.de
- update translations.
- add 'be'.
- PREPARE_PACKAGE: quote '&' in file names (ctxt).
* Fri May 15 2009 ke@suse.de
- update translations.
* Thu Mar 19 2009 ke@suse.de
- update translations.
- PREPARE_PACKAGE: Skip missing entries.mo files.
* Fri Feb 27 2009 coolo@suse.de
- remove sr@Latn (also from svn)
* Fri Feb 27 2009 coolo@suse.de
- switch back to openSUSE translations
* Mon Dec 15 2008 ke@suse.de
- update translations for SLE11.
* Sat Nov 29 2008 coolo@suse.de
- update translations.
* Fri Nov 14 2008 ke@suse.de
- update translations.
* Sat Nov  8 2008 coolo@suse.de
- update translations
* Fri Nov  7 2008 ke@suse.de
- update translations.
* Thu Nov  6 2008 coolo@suse.de
- update translations
* Mon Oct 27 2008 coolo@suse.de
- initial package split out of update-desktop-files
